флеш плагин опять отвалился...

  • Спасибо за ответ. Я на это внимания не обратил... Я проверил только что и у меня установлена 19 версия, однако в опере написанно что версия 18 (как я писал выше) Получается что опера не видит новую версию плагина,… и все же претензия все равно никуда не делась — почему ВСЕ браузеры которые я выше перечислил нашли новую версию а опера не нашла? И если есть такие проблемы, могли бы хотя бы где нибудь размещать информацию о том как ее устранить. Я кстати не понял еще как ее устранить.Как заставить оперу видить новый плагин?

  • Подсказка была верной, спасибо. На всякий случай подробно опишу...
    Опера ищет плагины в папке /opt/google/chrome/PepperFlash/libpepflashplayer.so, однако пакет pepperflash ставит свои файлы в папку /usr/lib/pepflashplugin-installer/ в которой опера его не видит и видить не хочет. Как изменить настройки оперы чтоб она искала плагин там где он реально есть я не нашел поэтому просто создал симлинки в папку в которую она обращается за плагином (тоесть в /opt/google/chrome/PepperFlash/), там должно быть 2 файла — файл libpepflashplayer.so и файл manifest.json

  • синкаешься --> смотришь доступные версии (stable)

    скачиваешь (это свежая версия) :

    http://pastebin.ru/jeE3CUki (не все символы правильно , поэтому команду кинул на пасту)

    распаковываешь и кладёшь куда надо 😉

  • Вот вот. Задрала чехарда с флешем. Последний раз бодался с пеппером, а помогло просто из приложений установил Адоб.
    Ну, вдруг кому поможет 🙂 У меня то - заработало.

  • С тех пор как я повесил свою маленькую инструкцию о симлинках, плагин больше не разу не отваливался. Не понял, что такое адоб?(хотя, поскольку и так все работает, то оно без особой надобности,просто интересно). Вообще же оперу помаленьку пилят и допиливают, хотя и не так быстро как хотелось бы. Например раньше видео на tumblr.com не показывало (то которое встроенное), теперь с выходом новой версии заработало и оно… Однако на http://get-tune.site (сайт все время меняет окончание — ru, com, eu, site (сейчас) и др, так что лучше его искать через поисковик) музыка конкретно в опере не поет, хотя в любом другом браузере работает, так что программерам есть еще куда пилить. Я не знаю как до них (разрабов которые еще и не русские) доносить эти огрехи. Если кто нибудь из прочитавших знает, пусть озаботится и донесет что тот сайт который я выше указал не работает так, как должен.
    Есть и другие https://news.yandex.ru/quotes/10.html тоже не работает в опере…

  • И вот прошло время и плагин, уже дня 3 как опять отвалился. Видео не показывает, старый метод опубликованный выше не помогает (хотя из папки хрома плагин пропал и пришлось создавать опять ссылки и папки как было. И теперь плагин в списке плагинов оперы есть, но не работает.

    Adobe Flash Player
    Версия: 20.0.0.306
    Shockwave Flash 20.0 r0
    Местонахождение:
    /opt/google/chrome/PepperFlash/libpepflashplayer.so
    Тип:
    PPAPI (внепроцессный)

    Какая последняя версия должна быть? вроде уже не 20 а посмотреть негде. Гугл хром не ставится почему то, а копаться не охота ибо не нужон он мне как таковой.

  • причина снова найдена. актуальная версия на сегодня 21. Руками выпилил из гугл браузера папку с плагинами и вставил ее (точнее файлы из нее) куда следует. Все заработало.Виноваты репы убунты которые содержат старую версию pepflashplugin.

  • Руками выпилил из гугл хром — это потому что сам хром (который мне и не нужен), кроме того еще и не ставится (точнее ставится но как сломанный пакет) что мешает работе менеджера пакетов. Единственный вариант исправления - снести его совсем. Так что как случается поломка флеша приходится качать хром с новой версией плагина, доставать из деб пакета нужную папку и помещать ее куда следует... Такие вот неудобства. Разрабам было бы не плохо обратить на эту проблему внимание. Хотя возможно просто под мою бубунту уже не хотят новые плагины выпускать, у меня 12,04. Надобы как нибудь заняться обновится. Авось поможет...

  • Итак продолжаем наши мытарствования с флешем. Вчера опера обновилась до версии 41.0. Флеш ожидаемо снова отпал. Уже привычным движением скачал хром с сайта гугла и распаковал deb. К своему удивлению не нашел там папки /plugins в которой лежат нужные мне файлы. Итак До обновления версия флеша 22.0.0.209. После обновления оперы эта версия никуда не девается, но флеш перестает работать и пишет что плагин вообще не установлен никакой, посылает на сайт адоба опять же. Нужна мне теперь версия 23.0.0.205, я долго ломал голову где же ее взять да так ничего и не придумал. Тогда я подумал, раз у меня нет новой версии - я оставлю старую, но переправлю информацию о версии в файле manifest.json. Так я и сделал. После перезапуска браузера видео заработало. opera://plugins пишет Adobe Flash Player
    Версия: 23.0.0.205
    Shockwave Flash 23.0 r0
    Местонахождение:
    /opt/google/chrome/PepperFlash/libpepflashplayer.so
    Тип:
    PPAPI (внепроцессный)
    Но когда правой кнопкой мыши по видео и в контекстном меню версия старая стоит тоесть 22.0.0.209. Но как бы там ни было вроде бы все работает. Я надеюсь что это кому нибудь поможет...

  • Снова отвалился плагин. Пошел на оф сайт адоба в надежде узнать какая версия теперь актуальна. Нашел там что можно теперь скачать новейшие версии всех плагинов там. Видимо они теперь вновь выпускают обновления для линукса. Скачал тарбол распаковал поставил. Все работает. Проверю, может и для фф новый плагин наконец то появится? Хотя и старый работал хорошо.

Log in to reply
 

Looks like your connection to Opera forums was lost, please wait while we try to reconnect.